Create Evaluation
curl --request POST \
--url https://app.truvec.dev/api/v1/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": 123,
"golden_dataset_id": 123,
"model_id": 123,
"top_k": 5
}
'import requests
url = "https://app.truvec.dev/api/v1/evaluations"
payload = {
"project_id": 123,
"golden_dataset_id": 123,
"model_id": 123,
"top_k": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: 123, golden_dataset_id: 123, model_id: 123, top_k: 5})
};
fetch('https://app.truvec.dev/api/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"project_id": 123,
"golden_dataset_id": 123,
"model_id": 123,
"status": "pending",
"top_k": 123,
"total_questions": 123,
"correct_answers": 123,
"accuracy": 123,
"precision": 123,
"recall": 123,
"f1_score": 123,
"results": {},
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"benchmark_id": 123,
"mrr": 123,
"ndcg": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}evaluations
Create Evaluation
Create a new evaluation and run it in the background.
POST
/
api
/
v1
/
evaluations
Create Evaluation
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
Available options:
pending, running, completed, failed